%define name	rats
%define version 1.4
%define release 1rph

Name:		%{name}
Summary:	Rough Auditing Tool for Security
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://www.securesw.com/rats/
Source0:	rats-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}
BuildPrereq:	expat-devel
Requires:	expat
Packager:	Vincent Danen <vdanen@mandrakesoft.com>


%description
RATS scans through code, finding potentially dangerous function calls.  The 
goal of this tool is not to definitively find bugs (yet).  The current goal 
is to provide a reasonable starting point for performing manual security 
audits.

The initial vulnerability database is taken directly from things that could 
be easily found when starting with the forthcoming book, "Building Secure 
Software" by Viega and McGraw.

RATS is released under version 2 of the GNU Public License (GPL).


%prep
%setup -q


%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

#CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
%configure
%make


%install
make BINDIR=%{buildroot}%{_bindir} LIBDIR=%{buildroot}%{_libdir} \
     MANDIR=%{buildroot}%{_mandir} install
#mkdir -p %{buildroot}{%{_libdir}/rats,%{_bindir}}
#install -c rats %{buildroot}%{_bindir}
#install -c -m644 rats*xml %{buildroot}%{_libdir}/rats


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/rats*xml
%{_bindir}/rats
%{_mandir}/man1/*

%changelog
* Tue Apr 23 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.4-1rph
- first rpmhelp.net release
